Mailinglist Archive: opensuse-factory (798 mails)

< Previous Next >
Re: [opensuse-factory] Tumbleweed status Feb 3, 2011
2011/2/20 Greg KH <gregkh@xxxxxxx>:
On Sat, Feb 19, 2011 at 01:28:48PM -0500, todd rme wrote:
I would think they could add tumbleweed as a build target for these,
just like the ones you listed are now.

No, and that is one of the main reasons why I don't want to have
Tumbleweed be a stand-alone "product" or "release".  To require this
would add even more work to our packagers, and I do not want to do that
at all.

At some point it will be needed anyway.
If I build against <latest_stable> and Factory I will find that my
package doesn't works in Tumbleweed because
- The <latest_stable> one compiles against an old version of a library
that changed soname in Tumbleweed
- The Factory one references a symbol that is not available in the
library version from Tumbleweed

Which version do you recommend to use with Tumbleweed? <latest_stable>
or Factory?


In fact, using only <latest_stable> and Tumbleweed repos, will we not find with
- <latest_stable>'s packageA depends on libA1 and libB1
- Tumbleweed's libB1 depends on libA2
- libA doesn't versions symbols and packageA explodes
?

That's something that can already happen now mixing repos. But that's
a risk the user decides to take when he stops using openSUSE
<latest_stable> and starts using "openSUSE <latest_stable> + whatever
repo", that is not the same supported distro anymore. Now it will be
an inherent problem of using the "openSUSE Tumbleweed" product.
You need to build packageA in Tumbleweed. But since the "packageA"s
are not identified you need to build everything in Tumbleweed.
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-factory+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups